LOC.AX
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/loc-ax/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/loc-ax/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1748995200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://locate.tech/announcements/",
"holding_balance": 6.08914,
"holding_net_change": 6.09,
"transaction_value_usd": 649870.12,
"average_entry_value_usd": 106726.09,
"transaction_value_calculated": false
},
{
"date": 1750636800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://locate.tech/announcements/",
"holding_balance": 10.0892,
"holding_net_change": 4.0,
"transaction_value_usd": 406974.67,
"average_entry_value_usd": 101743.67,
"transaction_value_calculated": false
},
{
"date": 1753747200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://locate.tech/announcements/",
"holding_balance": 12.3,
"holding_net_change": 2.21,
"transaction_value_usd": 389922.07,
"average_entry_value_usd": 176435.33,
"transaction_value_calculated": false
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/loc-ax/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
12.3
],
[
1779062400000,
12.3
],
[
1779148800000,
12.3
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/loc-ax/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
952387.278
],
[
1779062400000,
946414.5210000001
],
[
1779148800000,
944148.123
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/loc-ax/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/loc-ax/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/loc-ax/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/loc-ax/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.0,
"share_price_change_state": "down"
}